Page MenuHomePhabricator

Onboarding for share-a-fact points to wrong icon since wiktionary icon added
Closed, ResolvedPublic

Description

Description
Onboarding for share-a-fact points to wrong icon and has overlay issue with highlight pointers

Steps to reproduce
Fresh install
Go to an article
Highlight text
Share-a-fact onboarding appears

Expected results
Pointer should point to share button and cover up highlight pointers

Actual results
Looks like this:


App version 2.1.139-alpha-2016-01-25

Event Timeline

KHammerstein raised the priority of this task from to Needs Triage.
KHammerstein updated the task description. (Show Details)
KHammerstein added a subscriber: KHammerstein.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 26 2016, 10:02 PM
KHammerstein set Security to None.
Dbrant added a subscriber: Dbrant.Jan 27 2016, 8:18 PM

may be related to T112220

bearND claimed this task.Feb 8 2016, 6:13 PM
bearND triaged this task as Normal priority.
bearND moved this task from To Do to Doing on the Mobile-App-Android-Sprint-75-Rhenium board.

Change 270243 had a related patch set uploaded (by BearND):
Change order of text highlight CAB actions

https://gerrit.wikimedia.org/r/270243

@KHammerstein The simplest fix for pointing to the wrong location is to change the order of actions in the CAB. I moved the definition action to the end. Is this OK?

Change 270243 merged by jenkins-bot:
Change order of text highlight CAB actions

https://gerrit.wikimedia.org/r/270243

@bearND Yes thats fine! I think thats a better order actually.

Onboarding for share-a-fact points to a correct icon now - checked with 2.1.141-alpha-2016-02-12 on Nexus 5 (Android 5.1.1)

Note:
Clean installation comes with A/B feature testing - readMoreSearchOpeningText enabled by default. Then, onboarding share a fact points between icons.

Dbrant closed this task as Resolved.Feb 15 2016, 4:38 PM